local helmapp = import "../../_templates/argo_helm_app.libsonnet";

[
helmapp + {
  name:: "loki",
  namespace:: "metrics",
  repo:: "https://grafana.github.io/helm-charts",
  chart:: "loki-stack",
  version:: "2.6.*",
  values:: |||
    loki:
      isDefault: false
    promtail:
      extraScrapeConfigs:
        - job_name: journal
          journal:
            path: /var/log/journal
            max_age: 12h
            labels:
              job: systemd-journal
          relabel_configs:
            - source_labels:
                - '__journal__systemd_unit'
              target_label: 'unit'
            - source_labels:
                - '__journal__hostname'
              target_label: 'hostname'
      extraVolumes:
        - name: journal
          hostPath:
            path: /var/log/journal
      extraVolumeMounts:
        - name: journal
          mountPath: /var/log/journal
          readOnly: true
  |||
}
]
